{ lib, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-backups"
    "dgn-web"
    "dgn-chatops"
  ];

  enabledServices = [
    # List of services to enable
    "arkheon"
    "takumi"
    "signal-irc-bridge"
    "ds-fr"
    "grafana"
    "hedgedoc"
    "kanidm"
    "librenms"
    "mastodon"
    "nextcloud"
    "outline"
    "plausible"
    "postgresql"
    "rstudio-server"
    "satosa"
    "signald"
    "stirling-pdf"
    "telegraf"
    "vaultwarden"
    "zammad"
  ];

  extraConfig = {
    dgn-hardware.useZfs = true;

    services.netbird.enable = true;
  };

  root = ./.;
}
