let
  lib = import ../../../lib { };
  publicKeys = lib.getNodeKeys "compute01";
in

lib.setDefault { inherit publicKeys; } [
  "arkheon-env_file"
  "bupstash-put_key"
  "ds-fr-secret_file"
  "grafana-smtp_password_file"
  "grafana-oauth_client_secret_file"
  "hedgedoc-environment_file"
  "librenms-database_password_file"
  "librenms-environment_file"
  "mastodon-extra_env_file"
  "mastodon-smtp-password"
  "nextcloud-adminpass_file"
  "nextcloud-s3_secret_file"
  "outline-oidc_client_secret_file"
  "outline-smtp_password_file"
  "outline-storage_secret_key_file"
  "plausible-admin_user_password_file"
  "plausible-secret_key_base_file"
  "plausible-smtp_password_file"
  "satosa-env_file"
  "signal-irc-bridge-config"
  "telegraf-environment_file"
  "vaultwarden-environment_file"
  "zammad-secret_key_base_file"
]
