{
  bridge01 = {
    hostId = "f57f3ba0";

    interfaces = { };
    netbirdIp = null;
  };

  compute01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.147";
            prefixLength = 24;
          }
          {
            address = "192.168.1.147";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "8df60941";
    netbirdIp = "100.80.75.197";
  };

  geo01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.194";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "b88fee0c";
    netbirdIp = "100.80.8.66";
  };

  geo02 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.69";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "45d65237";
    netbirdIp = "100.80.233.249";
  };

  storage01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.148";
            prefixLength = 24;
          }
          {
            address = "192.168.1.148";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "d4e7c369";
    netbirdIp = "100.80.156.154";
  };

  vault01 = {
    interfaces = {
      vlan-uplink-cri = {
        ipv4 = [
          {
            # see also machines/vault01/networking.nix
            address = "129.199.195.129";
            prefixLength = 32;
          }
        ];
        gateways = [ ];
        enableDefaultDNS = true;
      };
    };

    hostId = "e83b600d";
    netbirdIp = "100.80.255.180";
  };

  web01 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.53";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "050df79e";
    netbirdIp = "100.80.77.90";
  };

  web02 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.235";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "b431ca10";
    netbirdIp = null; # web02 is not to be connected on the VPN
  };

  rescue01 = {
    interfaces = {
      ens18 = {
        ipv6 = [
          {
            address = "2a01:e0a:de4:a0e1:2d73:2a7e:18db:5728";
            prefixLength = 64;
          }
        ];

        ipv4 = [
          {
            address = "192.168.0.232";
            prefixLength = 21;
          }
        ];
        gateways = [ "192.168.0.1" ];
        enableDefaultDNS = true;
      };
    };

    addresses.ipv4 = [ "82.67.34.230" ];

    hostId = "007f0200";
    netbirdIp = "100.80.97.140";
  };
}
