set -e
set -u
set -o pipefail

ENDPOINT=${ATTIC_ENDPOINT:-https://cachix.dgnum.eu}

@attic@/bin/attic login dgnum "$ENDPOINT" "$ATTIC_TOKEN"

@colmena@/bin/colmena eval -E '{ nodes, lib, ... }: lib.mapAttrsToList (_: v: v.config.system.build.toplevel.drvPath) nodes' |\
@jq@/bin/jq -r '.[]' |\
xargs -n 10 nix-store -q -R --include-outputs |\
sed '/\.drv$/d' |\
xargs @attic@/bin/attic push dgnum:infra
